Skip to main content
GET
/
images
/
{imageId}
Get image
curl --request GET \
  --url https://rawugc.com/api/v1/images/{imageId} \
  --header 'Authorization: Bearer <token>'
{
  "imageId": "<string>",
  "status": "pending",
  "model": "<string>",
  "prompt": "<string>",
  "url": "<string>",
  "imageSize": "<string>",
  "resolution": "<string>",
  "outputFormat": "<string>",
  "creditsUsed": 123,
  "createdAt": 123,
  "completedAt": 123,
  "failCode": "<string>",
  "failMessage": "<string>"
}

Authorizations

Authorization
string
header
required

Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY

Path Parameters

imageId
string
required

Image identifier (img_xxx format)

Response

Image generation task status

imageId
string

Unique image identifier (img_xxx format)

status
enum<string>

Current generation status

Available options:
pending,
processing,
completed,
failed
model
string

Image model used

prompt
string

Text prompt used for generation

url
string<uri>

URL to download the generated image (available when status is 'completed')

imageSize
string

Aspect ratio used

resolution
string

Output resolution (nano-banana-2 only)

outputFormat
string

Output image format

creditsUsed
number

Credits deducted for this generation

createdAt
number

Timestamp when generation was initiated

completedAt
number

Timestamp when generation completed (if finished)

failCode
string

Error code if generation failed

failMessage
string

Error message if generation failed